// import React from 'react';
// import ReactDOM from 'react-dom';
// import './index.css';
// import App from './App';
// import * as serviceWorker from './serviceWorker';

// ReactDOM.render(<App />, document.getElementById('root'));

// // If you want your app to work offline and load faster, you can change
// // unregister() to register() below. Note this comes with some pitfalls.
// // Learn more about service workers: https://bit.ly/CRA-PWA
// serviceWorker.unregister();

import React from 'react';
import ReactDOM from 'react-dom';
import App from './App';
import * as serviceWorker from './serviceWorker';
import {createStore, applyMiddleware} from 'redux';
import {Provider} from 'react-redux';
import request from './modules/request';

import createSagaMiddleware from 'redux-saga';
import mySaga from './modules/sagas'; //-----①

const sagaMiddleware = createSagaMiddleware() //-----②
const store = createStore(request, applyMiddleware(sagaMiddleware)) //-----③

sagaMiddleware.run(mySaga) //-----④

ReactDOM.render(
    <Provider store={store}>
        <App />
    </Provider>
    ,
    document.getElementById('root'));
    
serviceWorker.unregister();
