import {REQUEST_FETCH, succeededFetch, failedFetch } from './request'

import { call, put, takeEvery } from 'redux-saga/effects'

const requestFetch = () => { // ③
    console.log("fetch Data")
    return fetch('https://jsonplaceholder.typicode.com/users') // ⑤
        .then(response => response.json())
}

function* fetchData() { // ②
    try {
        const payload = yield call(requestFetch); // ③
        console.log("payload", payload)
        yield put(succeededFetch(payload)); // ④
    
    } catch (e) {
        console.log("fail Fetch")
        yield put(failedFetch(e.message)); // ⑤
    }
}

function* mySaga() {
    yield takeEvery(REQUEST_FETCH, fetchData); // ①
}
export default mySaga