import React from 'react';
import ReactDOMServer from 'react-dom/server'; // ①
import express from 'express'; // ②
import Html from './Html'; // ③
import App from './App'; // ④

const app = express(); // ⑤

// bundle.js가 포함된 public 디렉터리를 정적 파일로 제공해 둠
app.use('/', express.static('public'));
app.get('/sample', (req, res) => {
    ReactDOMServer.renderToNodeStream(// ⑥
        <Html>
        <App/>
        </Html>
    ).pipe(res);
});

app.listen(3000, () => {
    console.log('listening on port 3000...');
});