import React from 'react';

import { storiesOf } from '@storybook/react';
import { action } from '@storybook/addon-actions';
import { linkTo } from '@storybook/addon-links';

import { Button, Welcome } from '@storybook/react/demo';

import MyComponent from '../MyComponent';

storiesOf('Welcome', module).add('to Storybook', () => <Welcome showApp={linkTo('Button')} />);

storiesOf('Button', module)
  .add('with text', () => <Button onClick={action('clicked')}>Hello Button</Button>)
  .add('with some emoji', () => (
    <Button onClick={action('clicked')}>
      <span role="img" aria-label="so cool">
        😀 😎 👍 💯
      </span>
    </Button>
  ));


storiesOf('Button', module)
  .add('default', () => {
    return <Button>Hello Button</Button>;
  })
.add('primary', () => {
    return <Button primary>Primary Button</Button>;
  })
.add('secondary', () => {
    return <Button secondary>Secondary Button</Button>;
  })
.add('warning', () => {
    return <Button warning>Warning Button</Button>;
});





storiesOf('MyComponent', module)
.add('pattern1', () => {
  const props = {
  foo: 1,
  bar: 'hello',
  baz: true
  };
  return <MyComponent {...props}/>;
  })
  .add('pattern2', () => {
  const props = {
  foo: 99,
  bar: '',
  baz: false
  };
  return <MyComponent {...props}/>;
  });