const path = require('path');
const UglifyJsPlugin = require('uglifyjs-webpack-plugin');
const HtmlwebpackPlugin = require('html-webpack-plugin');
const webpack = require('webpack'); // webpack 본체를 읽어들임 새롭게 추가된 부분


// module.exports = {
//     watch:false,
//     entry: './src/index.js',
//     output: {
//         path: path.resolve(__dirname, 'public'),
//         filename: 'bundle.js'
//     },
//     devServer: {
//         contentBase: path.join(__dirname, 'public'),
//         port: 9000,
//         hot: true
//     },
//     mode: 'development',
//     module: {
//         rules: [
//             {
//                 test: /\.js$/,
//                 use:
//                 [
//                     {
//                         loader: 'babel-loader',
//                         options: {
//                             presets: ['@babel/env', '@babel/react']
//                         }
//                     }
//                 ],
//                 // node_modules 아래의 파일은 loader 대상에서 제외
//                 exclude: /node_modules/
//                 },
//             {
//                 test: /\.txt$/,
//                 use: 'raw-loader'
//             }
//         ]
//     },
//     plugins: [
//         new UglifyJsPlugin({
//             test: /\.js(\?.*)?$/i,
//             extractComments: true // 플러그인 옵션을 지정
//         }),
//         new HtmlwebpackPlugin({
//             title: 'Plugin generate page',
//             template: 'src/root.html'
//         }),
//         new webpack.HotModuleReplacementPlugin({
//             // Options...
//         }),
//         new webpack.NamedModulesPlugin({
//         }),        
//     ]

// }

module.exports = {

    watch:false,
    entry: [
    '@babel/polyfill',
    'react-hot-loader/patch',
    './src/index.js'],
    output: {
    path: path.resolve(__dirname, 'public'),
    filename: 'bundle.js',
    publicPath: '/'
    },
    mode: 'development',
    module: {
    rules: [
        {
            test: /\.js$/,
            use:
            [
                {loader: 'babel-loader',
                options: {
                    presets: ['@babel/preset-env','@babel/react'],
                    plugins: ['react-hot-loader/babel']
                    },
                }
            ],
            // node_modules 아래의 파일은 loader 대상에서 제외
            exclude: /node_modules/
        },
        {
            test: /\.txt$/,
            use: 'raw-loader'
        }
        ]
    },
    plugins: [
        new UglifyJsPlugin({
            test: /\.js(\?.*)?$/i,
            extractComments: true // 플러그인 옵션을 지정
        }),
        new HtmlwebpackPlugin({
            title: 'Plugin generate page',
            template: 'src/root.html'
        }),
        new webpack.HotModuleReplacementPlugin({
        }),
        new webpack.NamedModulesPlugin({
        }),
    ],
    devServer: {
        contentBase: path.join(__dirname, 'public'),
        port: 9000,
        hot: true
    }
}